#include "ListException.h"
#include <iostream>
using namespace std;

typedef desired-item-type ItemType;

struct Node
{  ItemType item;
   Node *next;
}; // end struct

void linkedListInsert(Node *& headPtr,
                      ListItemType newItem)
{
   if ((headPtr == NULL) || (newItem < headPtr->item))
   {  // base case: insert newItem at beginning
      // of the linked list to which headPtr points
      Node *newPtr = new Node;
      newPtr->item = newItem;
      newPtr->next = headPtr;
      headPtr = newPtr;
   }
   else
      linkedListInsert(headPtr->next,newItem);
}  // end linkedListInsert
